Subject: bug#61395: 28.2; bug-reference warning seems incorrect

From: Tom Tromey <[email-masked]>
Date: Fri, 10 Feb 2023 09:41:19 -0700

Eli> Thanks, but could you perhaps post a recipe for reproducing the
Eli> warning?  Based on your description, I couldn't understand how to
Eli> reproduce it: which variables to change (with the single exception of
Eli> bug-reference-url-format), and what should be the buffer text to
Eli> trigger the warning.  Could you help me reproducing the problem, so I
Eli> could investigate it and see how to fix it?

I tried reproducing it by visiting various .exp files in gdb, but I
can't see the warning again.  Is a given warning only issued once per
emacs session?

Anyway, nothing too special was required.  Check out gdb and search for
"PR" underneath gdb/testsuite/.  gdb has a .dir-locals.el that sets the
appropriate variable.  Make sure bug-reference-prog-mode is enabled.

See my other note for a theory of the bug.  This theory would also
explain why it's "intermittent" -- it depends on how much of the buffer
has already been scanned.

Tom